## org.eclipse.emf.cdo.server.db
Interface IObjectTypeCache

    public interface IObjectTypeCache

Method Summary
`long` `getMaxId(java.sql.Connection connection)` Return the maximum object id managed by this cache.
`CDOClassifierRef` `getObjectType(IDBStoreAccessor accessor, CDOID id)`
`void` `putObjectType(IDBStoreAccessor accessor, CDOID id, org.eclipse.emf.ecore.EClass type)`
`void` `removeObjectType(IDBStoreAccessor accessor, CDOID id)`

Method Detail

### getObjectType

    CDOClassifierRef getObjectType(IDBStoreAccessor accessor,
                                   CDOID id)

  Since:
    2.0

### putObjectType

    void putObjectType(IDBStoreAccessor accessor,
                       CDOID id,
                       org.eclipse.emf.ecore.EClass type)

  Since:
    2.0

### removeObjectType

    void removeObjectType(IDBStoreAccessor accessor,
                          CDOID id)

  Since:
    2.0

### getMaxId

    long getMaxId(java.sql.Connection connection)

  Return the maximum object id managed by this cache.

  Parameters:
    `connection` - the DB connection to use.
  Returns:
    the maximum object id.
  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.